Quickstart
This guide will take you through DeepFellow installation to make your first request.
Install DeepFellow
To use DeepFellow, you need DeepFellow CLI, DeepFellow Infra, and DeepFellow Server. Install the CLI, then run a single command that installs and configures Infra and Server with recommended defaults.
For a full walkthrough with all configuration options (SSL, mesh, telemetry, custom databases), see the full Installation guide. If you have already installed DeepFellow, skip to API Keys and organization structure.
DeepFellow CLI
curl https://deepfellow.ai/install.sh | bashQuick Install
For a single-command setup with recommended defaults, run:
deepfellow suite installThis command runs the whole installation in a single pass:
- DeepFellow Infra
- Starts the
ollamaservice with GPU-accelerated defaults - Installs three models: a chat model, an embedding model, and a fast model
- Starts the
- DeepFellow Server
- Sets up a Milvus vector database
- Creates the admin account
- Creates a "Workspace" organization and a "Default" project
- Creates an "app" API key for the project
- Grants the project access to the three models just installed
It prompts for the admin account's name, email, and password. Skip the prompts with:
- The
--admin-name,--admin-email, and--admin-passwordflags, or - The
DF_SERVER_ADMIN_NAME,DF_SERVER_ADMIN_EMAIL, andDF_SERVER_ADMIN_PASSWORDenvironment variables
See DeepFellow Suite for the full list of options.
To configure each component individually, for example to customize SSL, connect Infras into a Mesh, or choose a different vector database – continue with DeepFellow Infra and DeepFellow Server full installation guides.
API Keys and Organization Structure
To make any requests to DeepFellow, you need an API Key. There are two kinds of API Keys:
- organization API Key
- project API Key
Both organization and project API Keys are accepted by DeepFellow.
Organizations and projects provide a way to organize, manage, and monitor your work. You can have multiple organizations. Projects are smaller units that have to be assigned to an organization.
Each project is a separate space where you can add files, create vector stores, and allow certain models or endpoints to be called. Resources from one project cannot be accessed with different project's API Key.
In the same way, resources of one organization cannot be accessed with another organization's API Key.
Read the guide to Authorization to learn more.
If you installed DeepFellow with deepfellow suite install, you already have a "Workspace" organization, a "Default"
project, and an "app" API key.
To create project API key:
deepfellow server project api-key createCopy and save the API Key – you can't access it again.
You can create organizations and projects using Web Panel as well. See DeepFellow Server Web Panel guide for details.
Make First Request
curl -X 'POST' \
'https://deepfellow-server-host/v1/completions' \
-H 'Authorization: Bearer YOUR_PROJECT_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"model": "gemma3:1b",
"prompt": "Hello World"
}'import requests
response = requests.post(
'https://deepfellow-server-host/v1/completions',
json={
"model": "gemma3:1b",
"prompt": "Hello World",
},
headers={
"Content-Type": "application/json",
"Authorization": "Bearer DEEPFELLOW-PROJECT-API-KEY"
}
)
data = response.json()
print(data)const response = await fetch('https://deepfellow-server-host/v1/completions', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
Authorization: 'Bearer DEEPFELLOW-PROJECT-API-KEY'
},
body: JSON.stringify({
model: 'gemma3:1b',
prompt: 'Hello World'
})
});
const data = await response.json();
console.log(data);You will get a response similar to this:
{
"id": "cmpl-695",
"object": "text_completion",
"created": 1759940689,
"model": "gemma3:1b",
"system_fingerprint": "fp_ollama",
"choices": [
{
"text": "Hello there! How can I help you today? 😊",
"index": 0,
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 11,
"completion_tokens": 12,
"total_tokens": 23
}
}What's Next
Install DeepFellow Web Panels to manage your organization, models, etc.:
Infra Web Panel
Manage your models through the DeepFellow Infra web interface.
Server Web Panel
Manage organizations, projects, and API keys through the DeepFellow Server web interface.
Follow our guides and tutorials:
Detailed Installation Guide
Configure SSL, connect Infras into a Mesh, and choose a different vector database.
Supported Models
Pick from thousands of LLM, STT, TTS, txt2img, and embedding models, or connect your own.
Migrate from OpenAI to DeepFellow
Use OpenAI models more safely through DeepFellow's anonymization layer and OpenAI-compatible API.
Migrate from Google AI to DeepFellow
Use Google AI models more safely through DeepFellow's anonymization layer.
Migrate from Anthropic to DeepFellow
Use Claude models through DeepFellow's anonymization layer via the native Anthropic SDK or the OpenAI-compatible API.
Start Coding with DeepFellow
Integrate DeepFellow into chatbots, intelligent agents, or RAG pipelines through familiar APIs.
We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.